<?php

declare(strict_types=1);

namespace App\Administration\Domain\Exception;

use App\Administration\Domain\Model\User\Email;
use App\Shared\Domain\Tenant\TenantId;
use DomainException;

use function sprintf;

final class EmailDejaUtiliseeException extends DomainException
{
    public static function dansTenant(Email $email, TenantId $tenantId): self
    {
        return new self(sprintf(
            'L\'email "%s" est déjà utilisé dans l\'établissement "%s".',
            $email,
            $tenantId,
        ));
    }
}
